#include <iostream>
#include <vector>
#include <fstream>
using namespace std;
ifstream fin("castele.in");
ofstream fout("castele.out");
long long frequency[10005] = {0};
int maxi = 0, n;
long long solve(){
    long long target = n / 2, index = 1;
    while (target >= 0 && index <= maxi){
        if (frequency[index] > 0) {
            if (target - frequency[index] < 0)
                break;
            else target -= frequency[index];
        }
        index++;
    }
    long long sum = 0;
    for (int i = 0; i<=maxi; i++){
        if (frequency[i] != 0) {
            sum += frequency[i] * abs(index - i);
        }
    }
    return sum;
}

int main() {
    int x;
    fin>>n;
    for (int i=1;i<=n;i++){
        fin>>x;
        frequency[x]++;
        if (x > maxi)
            maxi = x;
    }
    fout<<solve();
}