#include <iostream>
#include <vector>
#include <fstream>
#include <limits.h>
using namespace std;
ifstream fin("castele.in");
ofstream fout("castele.out");

long long solve(vector<int> elems, int n){
    int miin = INT_MAX;
    for (auto it: elems){
        int current = 0;
        for (int i = 0; i<n; i++)
            current += abs(it - elems[i]);
        if (current < miin)
            miin = current;
    }
    return miin;
}

int main() {
    ios_base::sync_with_stdio(false);
    fin.tie(0);
    fout.tie(0);
    int n, x;
    vector<int> elems;
    fin>>n;
    for (int i = 1; i<=n ;i++){
        fin>>x;
        elems.push_back(x);
    }
    fout<<solve(elems, n);
}